//
//  BPFileManager.h
//  BreakPointDownload
//
//  Created by 黄亚州 on 2017/5/30.
//  Copyright © 2017年 黄亚州. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BPFileManager : NSObject

+ (NSString*)getDownloadCachePathWithFilePath:(NSString*)filePath WithFileName:(NSString*)fileName;

/**
 * @description 获取本地文件的大小长度
 * @param filePath 本地文件的路径
 */
+ (long long)getLengthForFilePath:(NSString*)filePath;

/**
 * @description 删除本地文件
 * @param filePath 本地文件的路径
 */
+ (void)deleteLocalFilePath:(NSString*)filePath;

/**
 * @description 写入文件
 * @param aData 要写入的数据
 * @param filePath 本地文件的路径
 */
+ (void)saveData:(NSData*)aData toFilePath:(NSString *)filePath;

@end
